# Makefile.in generated by automake 1.9.6 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License. You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied. See the License for the
# specific language governing permissions and limitations
# under the License.
#
srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
check_PROGRAMS = testtransportsocket$(EXEEXT) \
	testbinaryprotocol$(EXEEXT) testbufferedtransport$(EXEEXT) \
	testframedtransport$(EXEEXT) testmemorybuffer$(EXEEXT) \
	teststruct$(EXEEXT) testsimpleserver$(EXEEXT) \
	testdebugproto$(EXEEXT) testoptionalrequired$(EXEEXT) \
	testthrifttest$(EXEEXT) $(am__EXEEXT_1)
@WITH_CPP_TRUE@am__append_1 = testthrifttestclient
@WITH_CPP_TRUE@am__append_2 = libtestgencpp.la
subdir = lib/c_glib/test
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/aclocal/ax_boost_base.m4 \
	$(top_srcdir)/aclocal/ax_javac_and_java.m4 \
	$(top_srcdir)/aclocal/ax_lib_event.m4 \
	$(top_srcdir)/aclocal/ax_lib_zlib.m4 \
	$(top_srcdir)/aclocal/ax_prog_perl_modules.m4 \
	$(top_srcdir)/aclocal/ax_signed_right_shift.m4 \
	$(top_srcdir)/aclocal/ax_thrift_internal.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
libtestgenc_la_DEPENDENCIES =  \
	$(top_builddir)/lib/c_glib/libthrift_c_glib.la
nodist_libtestgenc_la_OBJECTS = t_test_debug_proto_test_types.lo \
	t_test_empty_service.lo t_test_inherited.lo \
	t_test_optional_required_test_types.lo \
	t_test_reverse_order_service.lo t_test_second_service.lo \
	t_test_service_for_exception_with_a_map.lo t_test_srv.lo \
	t_test_thrift_test.lo t_test_thrift_test_types.lo
libtestgenc_la_OBJECTS = $(nodist_libtestgenc_la_OBJECTS)
libtestgencpp_la_LIBADD =
nodist_libtestgencpp_la_OBJECTS = libtestgencpp_la-ThriftTest.lo \
	libtestgencpp_la-ThriftTest_constants.lo \
	libtestgencpp_la-ThriftTest_types.lo
libtestgencpp_la_OBJECTS = $(nodist_libtestgencpp_la_OBJECTS)
@WITH_CPP_TRUE@am_libtestgencpp_la_rpath =
@WITH_CPP_TRUE@am__EXEEXT_1 = testthrifttestclient$(EXEEXT)
am_testbinaryprotocol_OBJECTS = testbinaryprotocol.$(OBJEXT)
testbinaryprotocol_OBJECTS = $(am_testbinaryprotocol_OBJECTS)
testbinaryprotocol_DEPENDENCIES =  \
	../libthrift_c_glib_la-thrift_protocol.o \
	../libthrift_c_glib_la-thrift_transport.o \
	../libthrift_c_glib_la-thrift_socket.o \
	../libthrift_c_glib_la-thrift_server_transport.o \
	../libthrift_c_glib_la-thrift_server_socket.o
am_testbufferedtransport_OBJECTS = testbufferedtransport.$(OBJEXT)
testbufferedtransport_OBJECTS = $(am_testbufferedtransport_OBJECTS)
testbufferedtransport_DEPENDENCIES =  \
	../libthrift_c_glib_la-thrift_transport.o \
	../libthrift_c_glib_la-thrift_socket.o \
	../libthrift_c_glib_la-thrift_server_transport.o \
	../libthrift_c_glib_la-thrift_server_socket.o
am_testdebugproto_OBJECTS = testdebugproto.$(OBJEXT)
testdebugproto_OBJECTS = $(am_testdebugproto_OBJECTS)
testdebugproto_DEPENDENCIES = libtestgenc.la
am_testframedtransport_OBJECTS = testframedtransport.$(OBJEXT)
testframedtransport_OBJECTS = $(am_testframedtransport_OBJECTS)
testframedtransport_DEPENDENCIES =  \
	../libthrift_c_glib_la-thrift_transport.o \
	../libthrift_c_glib_la-thrift_socket.o \
	../libthrift_c_glib_la-thrift_server_transport.o \
	../libthrift_c_glib_la-thrift_server_socket.o
am_testmemorybuffer_OBJECTS = testmemorybuffer.$(OBJEXT)
testmemorybuffer_OBJECTS = $(am_testmemorybuffer_OBJECTS)
testmemorybuffer_DEPENDENCIES =  \
	../libthrift_c_glib_la-thrift_transport.o
am_testoptionalrequired_OBJECTS = testoptionalrequired.$(OBJEXT)
testoptionalrequired_OBJECTS = $(am_testoptionalrequired_OBJECTS)
testoptionalrequired_DEPENDENCIES =  \
	../libthrift_c_glib_la-thrift_protocol.o \
	../libthrift_c_glib_la-thrift_transport.o libtestgenc.la
am_testsimpleserver_OBJECTS = testsimpleserver.$(OBJEXT)
testsimpleserver_OBJECTS = $(am_testsimpleserver_OBJECTS)
testsimpleserver_DEPENDENCIES =  \
	../libthrift_c_glib_la-thrift_protocol.o \
	../libthrift_c_glib_la-thrift_transport.o \
	../libthrift_c_glib_la-thrift_transport_factory.o \
	../libthrift_c_glib_la-thrift_processor.o \
	../libthrift_c_glib_la-thrift_protocol_factory.o \
	../libthrift_c_glib_la-thrift_binary_protocol.o \
	../libthrift_c_glib_la-thrift_binary_protocol_factory.o \
	../libthrift_c_glib_la-thrift_socket.o \
	../libthrift_c_glib_la-thrift_server_transport.o \
	../libthrift_c_glib_la-thrift_server_socket.o \
	../libthrift_c_glib_la-thrift_server.o
am_teststruct_OBJECTS = teststruct.$(OBJEXT)
teststruct_OBJECTS = $(am_teststruct_OBJECTS)
teststruct_DEPENDENCIES = ../libthrift_c_glib_la-thrift_protocol.o \
	../libthrift_c_glib_la-thrift_transport.o
am_testthrifttest_OBJECTS = testthrifttest.$(OBJEXT)
testthrifttest_OBJECTS = $(am_testthrifttest_OBJECTS)
testthrifttest_DEPENDENCIES = libtestgenc.la
am_testthrifttestclient_OBJECTS =  \
	testthrifttestclient-testthrifttestclient.$(OBJEXT)
testthrifttestclient_OBJECTS = $(am_testthrifttestclient_OBJECTS)
testthrifttestclient_DEPENDENCIES = ../../cpp/.libs/libthrift.la \
	../libthrift_c_glib.la libtestgenc.la libtestgencpp.la
am_testtransportsocket_OBJECTS = testtransportsocket.$(OBJEXT)
testtransportsocket_OBJECTS = $(am_testtransportsocket_OBJECTS)
testtransportsocket_DEPENDENCIES =  \
	../libthrift_c_glib_la-thrift_transport.o \
	../libthrift_c_glib_la-thrift_server_transport.o \
	../libthrift_c_glib_la-thrift_server_socket.o
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(nodist_libtestgenc_la_SOURCES) \
	$(nodist_libtestgencpp_la_SOURCES) \
	$(testbinaryprotocol_SOURCES) $(testbufferedtransport_SOURCES) \
	$(testdebugproto_SOURCES) $(testframedtransport_SOURCES) \
	$(testmemorybuffer_SOURCES) $(testoptionalrequired_SOURCES) \
	$(testsimpleserver_SOURCES) $(teststruct_SOURCES) \
	$(testthrifttest_SOURCES) $(testthrifttestclient_SOURCES) \
	$(testtransportsocket_SOURCES)
DIST_SOURCES = $(testbinaryprotocol_SOURCES) \
	$(testbufferedtransport_SOURCES) $(testdebugproto_SOURCES) \
	$(testframedtransport_SOURCES) $(testmemorybuffer_SOURCES) \
	$(testoptionalrequired_SOURCES) $(testsimpleserver_SOURCES) \
	$(teststruct_SOURCES) $(testthrifttest_SOURCES) \
	$(testthrifttestclient_SOURCES) $(testtransportsocket_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
ALLOCA = @ALLOCA@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AMX_HAVE_LIBEVENT_FALSE = @AMX_HAVE_LIBEVENT_FALSE@
AMX_HAVE_LIBEVENT_TRUE = @AMX_HAVE_LIBEVENT_TRUE@
AMX_HAVE_ZLIB_FALSE = @AMX_HAVE_ZLIB_FALSE@
AMX_HAVE_ZLIB_TRUE = @AMX_HAVE_ZLIB_TRUE@
ANT = @ANT@
ANT_FLAGS = @ANT_FLAGS@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BOOST_CPPFLAGS = @BOOST_CPPFLAGS@
BOOST_LDFLAGS = @BOOST_LDFLAGS@
BOOST_ROOT_PATH = @BOOST_ROOT_PATH@
CABAL = @CABAL@
CABAL_CONFIGURE_FLAGS = @CABAL_CONFIGURE_FLAGS@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @GCOV_CFLAGS@
CLASSPATH = @CLASSPATH@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = -g
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ENABLE_COVERAGE = @ENABLE_COVERAGE@
ERL = @ERL@
ERLANG_INSTALL_LIB_DIR = @ERLANG_INSTALL_LIB_DIR@
ERLANG_INSTALL_LIB_DIR_thrift = @ERLANG_INSTALL_LIB_DIR_thrift@
ERLANG_LIB_DIR = @ERLANG_LIB_DIR@
ERLC = @ERLC@
ERLCFLAGS = @ERLCFLAGS@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
GCOV_CFLAGS = @GCOV_CFLAGS@
GCOV_CXXFLAGS = @GCOV_CXXFLAGS@
GCOV_LDFLAGS = @GCOV_LDFLAGS@
GLIB_CFLAGS = @GLIB_CFLAGS@
GLIB_LIBS = @GLIB_LIBS@
GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
GOBJECT_LIBS = @GOBJECT_LIBS@
GREP = @GREP@
HAVE_RSPEC_FALSE = @HAVE_RSPEC_FALSE@
HAVE_RSPEC_TRUE = @HAVE_RSPEC_TRUE@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
JAVA_PREFIX = @JAVA_PREFIX@
LDFLAGS = @LDFLAGS@
LEX = @LEX@
LEXLIB = @LEXLIB@
LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
LIBEVENT_CPPFLAGS = @LIBEVENT_CPPFLAGS@
LIBEVENT_LDFLAGS = @LIBEVENT_LDFLAGS@
LIBEVENT_LIBS = @LIBEVENT_LIBS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MKDIR_P = @MKDIR_P@
MONO_CFLAGS = @MONO_CFLAGS@
MONO_LIBS = @MONO_LIBS@
NET_2_0_FALSE = @NET_2_0_FALSE@
NET_2_0_TRUE = @NET_2_0_TRUE@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL = @PERL@
PERL_PREFIX = @PERL_PREFIX@
PHP = @PHP@
PHP_CONFIG = @PHP_CONFIG@
PHP_CONFIG_PREFIX = @PHP_CONFIG_PREFIX@
PHP_PREFIX = @PHP_PREFIX@
PKG_CONFIG = @PKG_CONFIG@
PYTHON = @PYTHON@
PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
PYTHON_PLATFORM = @PYTHON_PLATFORM@
PYTHON_PREFIX = @PYTHON_PREFIX@
PYTHON_VERSION = @PYTHON_VERSION@
PY_PREFIX = @PY_PREFIX@
RANLIB = @RANLIB@
RSPEC = @RSPEC@
RUBY = @RUBY@
RUBY_PREFIX = @RUBY_PREFIX@
RUNHASKELL = @RUNHASKELL@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
THRIFT_GEN_as3_FALSE = @THRIFT_GEN_as3_FALSE@
THRIFT_GEN_as3_TRUE = @THRIFT_GEN_as3_TRUE@
THRIFT_GEN_c_glib_FALSE = @THRIFT_GEN_c_glib_FALSE@
THRIFT_GEN_c_glib_TRUE = @THRIFT_GEN_c_glib_TRUE@
THRIFT_GEN_cocoa_FALSE = @THRIFT_GEN_cocoa_FALSE@
THRIFT_GEN_cocoa_TRUE = @THRIFT_GEN_cocoa_TRUE@
THRIFT_GEN_cpp_FALSE = @THRIFT_GEN_cpp_FALSE@
THRIFT_GEN_cpp_TRUE = @THRIFT_GEN_cpp_TRUE@
THRIFT_GEN_csharp_FALSE = @THRIFT_GEN_csharp_FALSE@
THRIFT_GEN_csharp_TRUE = @THRIFT_GEN_csharp_TRUE@
THRIFT_GEN_erl_FALSE = @THRIFT_GEN_erl_FALSE@
THRIFT_GEN_erl_TRUE = @THRIFT_GEN_erl_TRUE@
THRIFT_GEN_hs_FALSE = @THRIFT_GEN_hs_FALSE@
THRIFT_GEN_hs_TRUE = @THRIFT_GEN_hs_TRUE@
THRIFT_GEN_html_FALSE = @THRIFT_GEN_html_FALSE@
THRIFT_GEN_html_TRUE = @THRIFT_GEN_html_TRUE@
THRIFT_GEN_java_FALSE = @THRIFT_GEN_java_FALSE@
THRIFT_GEN_java_TRUE = @THRIFT_GEN_java_TRUE@
THRIFT_GEN_javame_FALSE = @THRIFT_GEN_javame_FALSE@
THRIFT_GEN_javame_TRUE = @THRIFT_GEN_javame_TRUE@
THRIFT_GEN_js_FALSE = @THRIFT_GEN_js_FALSE@
THRIFT_GEN_js_TRUE = @THRIFT_GEN_js_TRUE@
THRIFT_GEN_ocaml_FALSE = @THRIFT_GEN_ocaml_FALSE@
THRIFT_GEN_ocaml_TRUE = @THRIFT_GEN_ocaml_TRUE@
THRIFT_GEN_perl_FALSE = @THRIFT_GEN_perl_FALSE@
THRIFT_GEN_perl_TRUE = @THRIFT_GEN_perl_TRUE@
THRIFT_GEN_php_FALSE = @THRIFT_GEN_php_FALSE@
THRIFT_GEN_php_TRUE = @THRIFT_GEN_php_TRUE@
THRIFT_GEN_py_FALSE = @THRIFT_GEN_py_FALSE@
THRIFT_GEN_py_TRUE = @THRIFT_GEN_py_TRUE@
THRIFT_GEN_rb_FALSE = @THRIFT_GEN_rb_FALSE@
THRIFT_GEN_rb_TRUE = @THRIFT_GEN_rb_TRUE@
THRIFT_GEN_st_FALSE = @THRIFT_GEN_st_FALSE@
THRIFT_GEN_st_TRUE = @THRIFT_GEN_st_TRUE@
THRIFT_GEN_xsd_FALSE = @THRIFT_GEN_xsd_FALSE@
THRIFT_GEN_xsd_TRUE = @THRIFT_GEN_xsd_TRUE@
TRIAL = @TRIAL@
VERSION = @VERSION@
WITH_CPP_FALSE = @WITH_CPP_FALSE@
WITH_CPP_TRUE = @WITH_CPP_TRUE@
WITH_C_GLIB_FALSE = @WITH_C_GLIB_FALSE@
WITH_C_GLIB_TRUE = @WITH_C_GLIB_TRUE@
WITH_ERLANG_FALSE = @WITH_ERLANG_FALSE@
WITH_ERLANG_TRUE = @WITH_ERLANG_TRUE@
WITH_HASKELL_FALSE = @WITH_HASKELL_FALSE@
WITH_HASKELL_TRUE = @WITH_HASKELL_TRUE@
WITH_JAVA_FALSE = @WITH_JAVA_FALSE@
WITH_JAVA_TRUE = @WITH_JAVA_TRUE@
WITH_MONO_FALSE = @WITH_MONO_FALSE@
WITH_MONO_TRUE = @WITH_MONO_TRUE@
WITH_PERL_FALSE = @WITH_PERL_FALSE@
WITH_PERL_TRUE = @WITH_PERL_TRUE@
WITH_PHP_EXTENSION_FALSE = @WITH_PHP_EXTENSION_FALSE@
WITH_PHP_EXTENSION_TRUE = @WITH_PHP_EXTENSION_TRUE@
WITH_PHP_FALSE = @WITH_PHP_FALSE@
WITH_PHP_TRUE = @WITH_PHP_TRUE@
WITH_PYTHON_FALSE = @WITH_PYTHON_FALSE@
WITH_PYTHON_TRUE = @WITH_PYTHON_TRUE@
WITH_RUBY_FALSE = @WITH_RUBY_FALSE@
WITH_RUBY_TRUE = @WITH_RUBY_TRUE@
YACC = @YACC@
YFLAGS = @YFLAGS@
ZLIB_CPPFLAGS = @ZLIB_CPPFLAGS@
ZLIB_LDFLAGS = @ZLIB_LDFLAGS@
ZLIB_LIBS = @ZLIB_LIBS@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_F77 = @ac_ct_F77@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
pkgpyexecdir = @pkgpyexecdir@
pkgpythondir = @pkgpythondir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
pyexecdir = @pyexecdir@
pythondir = @pythondir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
subdirs = @subdirs@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
SUBDIRS = 
AM_CPPFLAGS = -g -Wall -I../src $(GLIB_CFLAGS)
AM_LDFLAGS = $(GLIB_LIBS) $(GOBJECT_LIBS) @GCOV_LDFLAGS@
testtransportsocket_SOURCES = testtransportsocket.c
testtransportsocket_LDADD = \
    ../libthrift_c_glib_la-thrift_transport.o \
    ../libthrift_c_glib_la-thrift_server_transport.o \
    ../libthrift_c_glib_la-thrift_server_socket.o

testbinaryprotocol_SOURCES = testbinaryprotocol.c
testbinaryprotocol_LDADD = \
    ../libthrift_c_glib_la-thrift_protocol.o \
    ../libthrift_c_glib_la-thrift_transport.o \
    ../libthrift_c_glib_la-thrift_socket.o \
    ../libthrift_c_glib_la-thrift_server_transport.o \
    ../libthrift_c_glib_la-thrift_server_socket.o

testbufferedtransport_SOURCES = testbufferedtransport.c
testbufferedtransport_LDADD = \
    ../libthrift_c_glib_la-thrift_transport.o \
    ../libthrift_c_glib_la-thrift_socket.o \
    ../libthrift_c_glib_la-thrift_server_transport.o \
    ../libthrift_c_glib_la-thrift_server_socket.o

testframedtransport_SOURCES = testframedtransport.c
testframedtransport_LDADD = \
    ../libthrift_c_glib_la-thrift_transport.o \
    ../libthrift_c_glib_la-thrift_socket.o \
    ../libthrift_c_glib_la-thrift_server_transport.o \
    ../libthrift_c_glib_la-thrift_server_socket.o

testmemorybuffer_SOURCES = testmemorybuffer.c
testmemorybuffer_LDADD = \
    ../libthrift_c_glib_la-thrift_transport.o

teststruct_SOURCES = teststruct.c
teststruct_LDADD = \
    ../libthrift_c_glib_la-thrift_protocol.o \
    ../libthrift_c_glib_la-thrift_transport.o

testsimpleserver_SOURCES = testsimpleserver.c
testsimpleserver_LDADD = \
    ../libthrift_c_glib_la-thrift_protocol.o \
    ../libthrift_c_glib_la-thrift_transport.o \
    ../libthrift_c_glib_la-thrift_transport_factory.o \
    ../libthrift_c_glib_la-thrift_processor.o \
    ../libthrift_c_glib_la-thrift_protocol_factory.o \
    ../libthrift_c_glib_la-thrift_binary_protocol.o \
    ../libthrift_c_glib_la-thrift_binary_protocol_factory.o \
    ../libthrift_c_glib_la-thrift_socket.o \
    ../libthrift_c_glib_la-thrift_server_transport.o \
    ../libthrift_c_glib_la-thrift_server_socket.o \
    ../libthrift_c_glib_la-thrift_server.o

testdebugproto_SOURCES = testdebugproto.c
testdebugproto_LDADD = libtestgenc.la
testoptionalrequired_SOURCES = testoptionalrequired.c
testoptionalrequired_LDADD = \
    ../libthrift_c_glib_la-thrift_protocol.o \
    ../libthrift_c_glib_la-thrift_transport.o \
    libtestgenc.la

testthrifttest_SOURCES = testthrifttest.c
testthrifttest_LDADD = libtestgenc.la
testthrifttestclient_SOURCES = testthrifttestclient.cpp
testthrifttestclient_CPPFLAGS = -I../../cpp/src $(BOOST_CPPFLAGS) -I./gen-cpp -I../src -I./gen-c_glib $(GLIB_CFLAGS)
testthrifttestclient_LDADD = ../../cpp/.libs/libthrift.la ../libthrift_c_glib.la libtestgenc.la libtestgencpp.la
testthrifttestclient_LDFLAGS = -L../.libs -L../../cpp/.libs $(GLIB_LIBS) $(GOBJECT_LIBS)
check_LTLIBRARIES = libtestgenc.la $(am__append_2)
nodist_libtestgenc_la_SOURCES = \
        gen-c_glib/t_test_debug_proto_test_types.c \
        gen-c_glib/t_test_empty_service.c \
        gen-c_glib/t_test_inherited.c \
        gen-c_glib/t_test_optional_required_test_types.c \
        gen-c_glib/t_test_reverse_order_service.c \
        gen-c_glib/t_test_second_service.c \
        gen-c_glib/t_test_service_for_exception_with_a_map.c \
        gen-c_glib/t_test_srv.c \
        gen-c_glib/t_test_thrift_test.c \
        gen-c_glib/t_test_thrift_test_types.c \
        gen-c_glib/t_test_debug_proto_test_types.h \
        gen-c_glib/t_test_empty_service.h \
        gen-c_glib/t_test_inherited.h \
        gen-c_glib/t_test_optional_required_test_types.h \
        gen-c_glib/t_test_reverse_order_service.h \
        gen-c_glib/t_test_second_service.h \
        gen-c_glib/t_test_service_for_exception_with_a_map.h \
        gen-c_glib/t_test_srv.h \
        gen-c_glib/t_test_thrift_test.h \
        gen-c_glib/t_test_thrift_test_types.h

libtestgenc_la_LIBADD = $(top_builddir)/lib/c_glib/libthrift_c_glib.la
nodist_libtestgencpp_la_SOURCES = \
        gen-cpp/ThriftTest.cpp \
        gen-cpp/ThriftTest_constants.cpp \
        gen-cpp/ThriftTest_types.cpp \
        gen-cpp/ThriftTest.h \
        gen-cpp/ThriftTest_constants.h \
        gen-cpp/ThriftTest_types.h

libtestgencpp_la_CPPFLAGS = -I../../cpp/src $(BOOST_CPPFLAGS) -I./gen-cpp
THRIFT = $(top_builddir)/compiler/cpp/thrift
TESTS = \
  $(check_PROGRAMS) \
  $(check_SCRIPTS)


# globally added to all instances of valgrind calls
# VALGRIND_OPTS = --suppressions=glib.suppress
VALGRIND_OPTS = 

# globally added to all memcheck calls
VALGRIND_MEM_OPTS = --tool=memcheck \
                    --num-callers=10 \
                    ${myextravalgrindmemopts}


# globally added to all leakcheck calls
VALGRIND_LEAK_OPTS = --tool=memcheck \
                     --num-callers=10 \
                     --leak-check=full \
                     --leak-resolution=high \
                     ${myextravalgrindleakopts}

CLEANFILES = \
    *.bb                                \
    *.bbg                               \
    *.da                                \
    *.gcno                              \
    *.gcda                              \
    *.gcov

all: all-recursive

.SUFFIXES:
.SUFFIXES: .c .cpp .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  lib/c_glib/test/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  lib/c_glib/test/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-checkLTLIBRARIES:
	-test -z "$(check_LTLIBRARIES)" || rm -f $(check_LTLIBRARIES)
	@list='$(check_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libtestgenc.la: $(libtestgenc_la_OBJECTS) $(libtestgenc_la_DEPENDENCIES) 
	$(LINK)  $(libtestgenc_la_LDFLAGS) $(libtestgenc_la_OBJECTS) $(libtestgenc_la_LIBADD) $(LIBS)
libtestgencpp.la: $(libtestgencpp_la_OBJECTS) $(libtestgencpp_la_DEPENDENCIES) 
	$(CXXLINK) $(am_libtestgencpp_la_rpath) $(libtestgencpp_la_LDFLAGS) $(libtestgencpp_la_OBJECTS) $(libtestgencpp_la_LIBADD) $(LIBS)

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
testbinaryprotocol$(EXEEXT): $(testbinaryprotocol_OBJECTS) $(testbinaryprotocol_DEPENDENCIES) 
	@rm -f testbinaryprotocol$(EXEEXT)
	$(LINK) $(testbinaryprotocol_LDFLAGS) $(testbinaryprotocol_OBJECTS) $(testbinaryprotocol_LDADD) $(LIBS)
testbufferedtransport$(EXEEXT): $(testbufferedtransport_OBJECTS) $(testbufferedtransport_DEPENDENCIES) 
	@rm -f testbufferedtransport$(EXEEXT)
	$(LINK) $(testbufferedtransport_LDFLAGS) $(testbufferedtransport_OBJECTS) $(testbufferedtransport_LDADD) $(LIBS)
testdebugproto$(EXEEXT): $(testdebugproto_OBJECTS) $(testdebugproto_DEPENDENCIES) 
	@rm -f testdebugproto$(EXEEXT)
	$(LINK) $(testdebugproto_LDFLAGS) $(testdebugproto_OBJECTS) $(testdebugproto_LDADD) $(LIBS)
testframedtransport$(EXEEXT): $(testframedtransport_OBJECTS) $(testframedtransport_DEPENDENCIES) 
	@rm -f testframedtransport$(EXEEXT)
	$(LINK) $(testframedtransport_LDFLAGS) $(testframedtransport_OBJECTS) $(testframedtransport_LDADD) $(LIBS)
testmemorybuffer$(EXEEXT): $(testmemorybuffer_OBJECTS) $(testmemorybuffer_DEPENDENCIES) 
	@rm -f testmemorybuffer$(EXEEXT)
	$(LINK) $(testmemorybuffer_LDFLAGS) $(testmemorybuffer_OBJECTS) $(testmemorybuffer_LDADD) $(LIBS)
testoptionalrequired$(EXEEXT): $(testoptionalrequired_OBJECTS) $(testoptionalrequired_DEPENDENCIES) 
	@rm -f testoptionalrequired$(EXEEXT)
	$(LINK) $(testoptionalrequired_LDFLAGS) $(testoptionalrequired_OBJECTS) $(testoptionalrequired_LDADD) $(LIBS)
testsimpleserver$(EXEEXT): $(testsimpleserver_OBJECTS) $(testsimpleserver_DEPENDENCIES) 
	@rm -f testsimpleserver$(EXEEXT)
	$(LINK) $(testsimpleserver_LDFLAGS) $(testsimpleserver_OBJECTS) $(testsimpleserver_LDADD) $(LIBS)
teststruct$(EXEEXT): $(teststruct_OBJECTS) $(teststruct_DEPENDENCIES) 
	@rm -f teststruct$(EXEEXT)
	$(LINK) $(teststruct_LDFLAGS) $(teststruct_OBJECTS) $(teststruct_LDADD) $(LIBS)
testthrifttest$(EXEEXT): $(testthrifttest_OBJECTS) $(testthrifttest_DEPENDENCIES) 
	@rm -f testthrifttest$(EXEEXT)
	$(LINK) $(testthrifttest_LDFLAGS) $(testthrifttest_OBJECTS) $(testthrifttest_LDADD) $(LIBS)
testthrifttestclient$(EXEEXT): $(testthrifttestclient_OBJECTS) $(testthrifttestclient_DEPENDENCIES) 
	@rm -f testthrifttestclient$(EXEEXT)
	$(CXXLINK) $(testthrifttestclient_LDFLAGS) $(testthrifttestclient_OBJECTS) $(testthrifttestclient_LDADD) $(LIBS)
testtransportsocket$(EXEEXT): $(testtransportsocket_OBJECTS) $(testtransportsocket_DEPENDENCIES) 
	@rm -f testtransportsocket$(EXEEXT)
	$(LINK) $(testtransportsocket_LDFLAGS) $(testtransportsocket_OBJECTS) $(testtransportsocket_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libtestgencpp_la-ThriftTest.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libtestgencpp_la-ThriftTest_constants.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libtestgencpp_la-ThriftTest_types.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_test_debug_proto_test_types.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_test_empty_service.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_test_inherited.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_test_optional_required_test_types.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_test_reverse_order_service.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_test_second_service.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_test_service_for_exception_with_a_map.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_test_srv.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_test_thrift_test.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/t_test_thrift_test_types.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testbinaryprotocol.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testbufferedtransport.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testdebugproto.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testframedtransport.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testmemorybuffer.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testoptionalrequired.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testsimpleserver.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/teststruct.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testthrifttest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testthrifttestclient-testthrifttestclient.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testtransportsocket.Po@am__quote@

.c.o:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c $<

.c.obj:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
@am__fastdepCC_TRUE@	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<

t_test_debug_proto_test_types.lo: gen-c_glib/t_test_debug_proto_test_types.c
@am__fastdepCC_TRUE@	if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_debug_proto_test_types.lo -MD -MP -MF "$(DEPDIR)/t_test_debug_proto_test_types.Tpo" -c -o t_test_debug_proto_test_types.lo `test -f 'gen-c_glib/t_test_debug_proto_test_types.c' || echo '$(srcdir)/'`gen-c_glib/t_test_debug_proto_test_types.c; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/t_test_debug_proto_test_types.Tpo" "$(DEPDIR)/t_test_debug_proto_test_types.Plo"; else rm -f "$(DEPDIR)/t_test_debug_proto_test_types.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='gen-c_glib/t_test_debug_proto_test_types.c' object='t_test_debug_proto_test_types.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_debug_proto_test_types.lo `test -f 'gen-c_glib/t_test_debug_proto_test_types.c' || echo '$(srcdir)/'`gen-c_glib/t_test_debug_proto_test_types.c

t_test_empty_service.lo: gen-c_glib/t_test_empty_service.c
@am__fastdepCC_TRUE@	if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_empty_service.lo -MD -MP -MF "$(DEPDIR)/t_test_empty_service.Tpo" -c -o t_test_empty_service.lo `test -f 'gen-c_glib/t_test_empty_service.c' || echo '$(srcdir)/'`gen-c_glib/t_test_empty_service.c; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/t_test_empty_service.Tpo" "$(DEPDIR)/t_test_empty_service.Plo"; else rm -f "$(DEPDIR)/t_test_empty_service.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='gen-c_glib/t_test_empty_service.c' object='t_test_empty_service.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_empty_service.lo `test -f 'gen-c_glib/t_test_empty_service.c' || echo '$(srcdir)/'`gen-c_glib/t_test_empty_service.c

t_test_inherited.lo: gen-c_glib/t_test_inherited.c
@am__fastdepCC_TRUE@	if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_inherited.lo -MD -MP -MF "$(DEPDIR)/t_test_inherited.Tpo" -c -o t_test_inherited.lo `test -f 'gen-c_glib/t_test_inherited.c' || echo '$(srcdir)/'`gen-c_glib/t_test_inherited.c; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/t_test_inherited.Tpo" "$(DEPDIR)/t_test_inherited.Plo"; else rm -f "$(DEPDIR)/t_test_inherited.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='gen-c_glib/t_test_inherited.c' object='t_test_inherited.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_inherited.lo `test -f 'gen-c_glib/t_test_inherited.c' || echo '$(srcdir)/'`gen-c_glib/t_test_inherited.c

t_test_optional_required_test_types.lo: gen-c_glib/t_test_optional_required_test_types.c
@am__fastdepCC_TRUE@	if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_optional_required_test_types.lo -MD -MP -MF "$(DEPDIR)/t_test_optional_required_test_types.Tpo" -c -o t_test_optional_required_test_types.lo `test -f 'gen-c_glib/t_test_optional_required_test_types.c' || echo '$(srcdir)/'`gen-c_glib/t_test_optional_required_test_types.c; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/t_test_optional_required_test_types.Tpo" "$(DEPDIR)/t_test_optional_required_test_types.Plo"; else rm -f "$(DEPDIR)/t_test_optional_required_test_types.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='gen-c_glib/t_test_optional_required_test_types.c' object='t_test_optional_required_test_types.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_optional_required_test_types.lo `test -f 'gen-c_glib/t_test_optional_required_test_types.c' || echo '$(srcdir)/'`gen-c_glib/t_test_optional_required_test_types.c

t_test_reverse_order_service.lo: gen-c_glib/t_test_reverse_order_service.c
@am__fastdepCC_TRUE@	if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_reverse_order_service.lo -MD -MP -MF "$(DEPDIR)/t_test_reverse_order_service.Tpo" -c -o t_test_reverse_order_service.lo `test -f 'gen-c_glib/t_test_reverse_order_service.c' || echo '$(srcdir)/'`gen-c_glib/t_test_reverse_order_service.c; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/t_test_reverse_order_service.Tpo" "$(DEPDIR)/t_test_reverse_order_service.Plo"; else rm -f "$(DEPDIR)/t_test_reverse_order_service.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='gen-c_glib/t_test_reverse_order_service.c' object='t_test_reverse_order_service.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_reverse_order_service.lo `test -f 'gen-c_glib/t_test_reverse_order_service.c' || echo '$(srcdir)/'`gen-c_glib/t_test_reverse_order_service.c

t_test_second_service.lo: gen-c_glib/t_test_second_service.c
@am__fastdepCC_TRUE@	if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_second_service.lo -MD -MP -MF "$(DEPDIR)/t_test_second_service.Tpo" -c -o t_test_second_service.lo `test -f 'gen-c_glib/t_test_second_service.c' || echo '$(srcdir)/'`gen-c_glib/t_test_second_service.c; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/t_test_second_service.Tpo" "$(DEPDIR)/t_test_second_service.Plo"; else rm -f "$(DEPDIR)/t_test_second_service.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='gen-c_glib/t_test_second_service.c' object='t_test_second_service.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_second_service.lo `test -f 'gen-c_glib/t_test_second_service.c' || echo '$(srcdir)/'`gen-c_glib/t_test_second_service.c

t_test_service_for_exception_with_a_map.lo: gen-c_glib/t_test_service_for_exception_with_a_map.c
@am__fastdepCC_TRUE@	if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_service_for_exception_with_a_map.lo -MD -MP -MF "$(DEPDIR)/t_test_service_for_exception_with_a_map.Tpo" -c -o t_test_service_for_exception_with_a_map.lo `test -f 'gen-c_glib/t_test_service_for_exception_with_a_map.c' || echo '$(srcdir)/'`gen-c_glib/t_test_service_for_exception_with_a_map.c; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/t_test_service_for_exception_with_a_map.Tpo" "$(DEPDIR)/t_test_service_for_exception_with_a_map.Plo"; else rm -f "$(DEPDIR)/t_test_service_for_exception_with_a_map.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='gen-c_glib/t_test_service_for_exception_with_a_map.c' object='t_test_service_for_exception_with_a_map.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_service_for_exception_with_a_map.lo `test -f 'gen-c_glib/t_test_service_for_exception_with_a_map.c' || echo '$(srcdir)/'`gen-c_glib/t_test_service_for_exception_with_a_map.c

t_test_srv.lo: gen-c_glib/t_test_srv.c
@am__fastdepCC_TRUE@	if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_srv.lo -MD -MP -MF "$(DEPDIR)/t_test_srv.Tpo" -c -o t_test_srv.lo `test -f 'gen-c_glib/t_test_srv.c' || echo '$(srcdir)/'`gen-c_glib/t_test_srv.c; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/t_test_srv.Tpo" "$(DEPDIR)/t_test_srv.Plo"; else rm -f "$(DEPDIR)/t_test_srv.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='gen-c_glib/t_test_srv.c' object='t_test_srv.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_srv.lo `test -f 'gen-c_glib/t_test_srv.c' || echo '$(srcdir)/'`gen-c_glib/t_test_srv.c

t_test_thrift_test.lo: gen-c_glib/t_test_thrift_test.c
@am__fastdepCC_TRUE@	if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_thrift_test.lo -MD -MP -MF "$(DEPDIR)/t_test_thrift_test.Tpo" -c -o t_test_thrift_test.lo `test -f 'gen-c_glib/t_test_thrift_test.c' || echo '$(srcdir)/'`gen-c_glib/t_test_thrift_test.c; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/t_test_thrift_test.Tpo" "$(DEPDIR)/t_test_thrift_test.Plo"; else rm -f "$(DEPDIR)/t_test_thrift_test.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='gen-c_glib/t_test_thrift_test.c' object='t_test_thrift_test.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_thrift_test.lo `test -f 'gen-c_glib/t_test_thrift_test.c' || echo '$(srcdir)/'`gen-c_glib/t_test_thrift_test.c

t_test_thrift_test_types.lo: gen-c_glib/t_test_thrift_test_types.c
@am__fastdepCC_TRUE@	if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT t_test_thrift_test_types.lo -MD -MP -MF "$(DEPDIR)/t_test_thrift_test_types.Tpo" -c -o t_test_thrift_test_types.lo `test -f 'gen-c_glib/t_test_thrift_test_types.c' || echo '$(srcdir)/'`gen-c_glib/t_test_thrift_test_types.c; \
@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/t_test_thrift_test_types.Tpo" "$(DEPDIR)/t_test_thrift_test_types.Plo"; else rm -f "$(DEPDIR)/t_test_thrift_test_types.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='gen-c_glib/t_test_thrift_test_types.c' object='t_test_thrift_test_types.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o t_test_thrift_test_types.lo `test -f 'gen-c_glib/t_test_thrift_test_types.c' || echo '$(srcdir)/'`gen-c_glib/t_test_thrift_test_types.c

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ $<

libtestgencpp_la-ThriftTest.lo: gen-cpp/ThriftTest.cpp
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libtestgencpp_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libtestgencpp_la-ThriftTest.lo -MD -MP -MF "$(DEPDIR)/libtestgencpp_la-ThriftTest.Tpo" -c -o libtestgencpp_la-ThriftTest.lo `test -f 'gen-cpp/ThriftTest.cpp' || echo '$(srcdir)/'`gen-cpp/ThriftTest.cpp; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libtestgencpp_la-ThriftTest.Tpo" "$(DEPDIR)/libtestgencpp_la-ThriftTest.Plo"; else rm -f "$(DEPDIR)/libtestgencpp_la-ThriftTest.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gen-cpp/ThriftTest.cpp' object='libtestgencpp_la-ThriftTest.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libtestgencpp_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libtestgencpp_la-ThriftTest.lo `test -f 'gen-cpp/ThriftTest.cpp' || echo '$(srcdir)/'`gen-cpp/ThriftTest.cpp

libtestgencpp_la-ThriftTest_constants.lo: gen-cpp/ThriftTest_constants.cpp
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libtestgencpp_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libtestgencpp_la-ThriftTest_constants.lo -MD -MP -MF "$(DEPDIR)/libtestgencpp_la-ThriftTest_constants.Tpo" -c -o libtestgencpp_la-ThriftTest_constants.lo `test -f 'gen-cpp/ThriftTest_constants.cpp' || echo '$(srcdir)/'`gen-cpp/ThriftTest_constants.cpp; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libtestgencpp_la-ThriftTest_constants.Tpo" "$(DEPDIR)/libtestgencpp_la-ThriftTest_constants.Plo"; else rm -f "$(DEPDIR)/libtestgencpp_la-ThriftTest_constants.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gen-cpp/ThriftTest_constants.cpp' object='libtestgencpp_la-ThriftTest_constants.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libtestgencpp_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libtestgencpp_la-ThriftTest_constants.lo `test -f 'gen-cpp/ThriftTest_constants.cpp' || echo '$(srcdir)/'`gen-cpp/ThriftTest_constants.cpp

libtestgencpp_la-ThriftTest_types.lo: gen-cpp/ThriftTest_types.cpp
@am__fastdepCXX_TRUE@	if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libtestgencpp_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libtestgencpp_la-ThriftTest_types.lo -MD -MP -MF "$(DEPDIR)/libtestgencpp_la-ThriftTest_types.Tpo" -c -o libtestgencpp_la-ThriftTest_types.lo `test -f 'gen-cpp/ThriftTest_types.cpp' || echo '$(srcdir)/'`gen-cpp/ThriftTest_types.cpp; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/libtestgencpp_la-ThriftTest_types.Tpo" "$(DEPDIR)/libtestgencpp_la-ThriftTest_types.Plo"; else rm -f "$(DEPDIR)/libtestgencpp_la-ThriftTest_types.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='gen-cpp/ThriftTest_types.cpp' object='libtestgencpp_la-ThriftTest_types.lo' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libtestgencpp_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libtestgencpp_la-ThriftTest_types.lo `test -f 'gen-cpp/ThriftTest_types.cpp' || echo '$(srcdir)/'`gen-cpp/ThriftTest_types.cpp

testthrifttestclient-testthrifttestclient.o: testthrifttestclient.cpp
@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(testthrifttestclient_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT testthrifttestclient-testthrifttestclient.o -MD -MP -MF "$(DEPDIR)/testthrifttestclient-testthrifttestclient.Tpo" -c -o testthrifttestclient-testthrifttestclient.o `test -f 'testthrifttestclient.cpp' || echo '$(srcdir)/'`testthrifttestclient.cpp; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/testthrifttestclient-testthrifttestclient.Tpo" "$(DEPDIR)/testthrifttestclient-testthrifttestclient.Po"; else rm -f "$(DEPDIR)/testthrifttestclient-testthrifttestclient.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='testthrifttestclient.cpp' object='testthrifttestclient-testthrifttestclient.o' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(testthrifttestclient_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o testthrifttestclient-testthrifttestclient.o `test -f 'testthrifttestclient.cpp' || echo '$(srcdir)/'`testthrifttestclient.cpp

testthrifttestclient-testthrifttestclient.obj: testthrifttestclient.cpp
@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(testthrifttestclient_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT testthrifttestclient-testthrifttestclient.obj -MD -MP -MF "$(DEPDIR)/testthrifttestclient-testthrifttestclient.Tpo" -c -o testthrifttestclient-testthrifttestclient.obj `if test -f 'testthrifttestclient.cpp'; then $(CYGPATH_W) 'testthrifttestclient.cpp'; else $(CYGPATH_W) '$(srcdir)/testthrifttestclient.cpp'; fi`; \
@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/testthrifttestclient-testthrifttestclient.Tpo" "$(DEPDIR)/testthrifttestclient-testthrifttestclient.Po"; else rm -f "$(DEPDIR)/testthrifttestclient-testthrifttestclient.Tpo"; exit 1; fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='testthrifttestclient.cpp' object='testthrifttestclient-testthrifttestclient.obj' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(testthrifttestclient_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o testthrifttestclient-testthrifttestclient.obj `if test -f 'testthrifttestclient.cpp'; then $(CYGPATH_W) 'testthrifttestclient.cpp'; else $(CYGPATH_W) '$(srcdir)/testthrifttestclient.cpp'; fi`

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

check-TESTS: $(TESTS)
	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
	srcdir=$(srcdir); export srcdir; \
	list='$(TESTS)'; \
	if test -n "$$list"; then \
	  for tst in $$list; do \
	    if test -f ./$$tst; then dir=./; \
	    elif test -f $$tst; then dir=; \
	    else dir="$(srcdir)/"; fi; \
	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
		xpass=`expr $$xpass + 1`; \
		failed=`expr $$failed + 1`; \
		echo "XPASS: $$tst"; \
	      ;; \
	      *) \
		echo "PASS: $$tst"; \
	      ;; \
	      esac; \
	    elif test $$? -ne 77; then \
	      all=`expr $$all + 1`; \
	      case " $(XFAIL_TESTS) " in \
	      *" $$tst "*) \
		xfail=`expr $$xfail + 1`; \
		echo "XFAIL: $$tst"; \
	      ;; \
	      *) \
		failed=`expr $$failed + 1`; \
		echo "FAIL: $$tst"; \
	      ;; \
	      esac; \
	    else \
	      skip=`expr $$skip + 1`; \
	      echo "SKIP: $$tst"; \
	    fi; \
	  done; \
	  if test "$$failed" -eq 0; then \
	    if test "$$xfail" -eq 0; then \
	      banner="All $$all tests passed"; \
	    else \
	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
	    fi; \
	  else \
	    if test "$$xpass" -eq 0; then \
	      banner="$$failed of $$all tests failed"; \
	    else \
	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
	    fi; \
	  fi; \
	  dashes="$$banner"; \
	  skipped=""; \
	  if test "$$skip" -ne 0; then \
	    skipped="($$skip tests were not run)"; \
	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$skipped"; \
	  fi; \
	  report=""; \
	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
	    report="Please report to $(PACKAGE_BUGREPORT)"; \
	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
	      dashes="$$report"; \
	  fi; \
	  dashes=`echo "$$dashes" | sed s/./=/g`; \
	  echo "$$dashes"; \
	  echo "$$banner"; \
	  test -z "$$skipped" || echo "$$skipped"; \
	  test -z "$$report" || echo "$$report"; \
	  echo "$$dashes"; \
	  test "$$failed" -eq 0; \
	else :; fi

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d "$(distdir)/$$subdir" \
	    || $(mkdir_p) "$(distdir)/$$subdir" \
	    || exit 1; \
	    distdir=`$(am__cd) $(distdir) && pwd`; \
	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$top_distdir" \
	        distdir="$$distdir/$$subdir" \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_LTLIBRARIES) $(check_PROGRAMS)
	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
check: check-recursive
all-am: Makefile
installdirs: installdirs-recursive
installdirs-am:
install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-checkLTLIBRARIES clean-checkPROGRAMS clean-generic \
	clean-libtool clean-local mostlyclean-am

distclean: distclean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

info: info-recursive

info-am:

install-data-am:

install-exec-am:

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-info-am

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-TESTS \
	check-am clean clean-checkLTLIBRARIES clean-checkPROGRAMS \
	clean-generic clean-libtool clean-local clean-recursive ctags \
	ctags-recursive distclean distclean-compile distclean-generic \
	distclean-libtool distclean-recursive distclean-tags distdir \
	dvi dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs installdirs-am \
	maintainer-clean maintainer-clean-generic \
	maintainer-clean-recursive mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \
	pdf pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
	uninstall-info-am


gen-c_glib/t_test_debug_proto_test_types.c gen-c_glib/t_test_debug_proto_test_types.h gen-c_glib/t_test_empty_service.c gen-c_glib/t_test_empty_service.h gen-c_glib/t_test_inherited.c gen-c_glib/t_test_inherited.h gen-c_glib/t_test_reverse_order_service.c gen-c_glib/t_test_reverse_order_service.h gen-c_glib/t_test_service_for_exception_with_a_map.c gen-c_glib/t_test_service_for_exception_with_a_map.h gen-c_glib/t_test_srv.c gen-c_glib/t_test_srv.h: ../../../test/DebugProtoTest.thrift
	$(THRIFT) --gen c_glib $<

gen-c_glib/t_test_optional_required_test_types.c gen-c_glib/t_test_optional_required_test_types.h: ../../../test/OptionalRequiredTest.thrift
	$(THRIFT) --gen c_glib $<

gen-c_glib/t_test_second_service.c gen-c_glib/t_test_thrift_test.c gen-c_glib/t_test_thrift_test_types.c gen-c_glib/t_test_second_service.h gen-c_glib/t_test_thrift_test-.h gen-c_glib/t_test_thrift_test_types.h: ../../../test/ThriftTest.thrift
	$(THRIFT) --gen c_glib $<

gen-cpp/ThriftTest.cpp gen-cpp/ThriftTest.h: ../../../test/ThriftTest.thrift
	$(THRIFT) --gen cpp $<

memcheck: $(check_PROGRAMS)
	@for x in $(check_PROGRAMS);                                     \
	  do                                                             \
	    $(MAKE) memcheck-$$x;                                        \
	  done

leakcheck: $(check_PROGRAMS)
	@for x in $(check_PROGRAMS);                                     \
	  do                                                             \
	    $(MAKE) leakcheck-$$x;                                       \
	done

memcheck-%: %
	@echo "*****************************************";               \
	echo "MEMCHECK: $<";                                             \
	echo "ARGS: ${VALGRIND_OPTS} ${VALGRIND_MEM_OPTS} ${$<_VALGRIND_MEM_OPTS}";                                                                      \
	$(LIBTOOL) --mode=execute                                        \
	  valgrind                                                       \
	    ${VALGRIND_OPTS}                                             \
	    ${VALGRIND_MEM_OPTS}                                         \
	    ${$<_VALGRIND_MEM_OPTS} ./$<

leakcheck-%: %
	@echo "*****************************************";              \
	echo "LEAKCHECK: $<";                                           \
	echo "ARGS: ${VALGRIND_OPTS} ${VALGRIND_LEAK_OPTS} ${$<_VALGRIND_LEAK_OPTS}";                                                                   \
	G_SLICE=always-malloc $(LIBTOOL) --mode=execute                 \
	  valgrind                                                      \
	    ${VALGRIND_OPTS}                                            \
	    ${VALGRIND_LEAK_OPTS}                                       \
	    ${$<_VALGRIND_LEAK_OPTS}  ./$<

clean-local:
	$(RM) -r gen-c_glib gen-cpp
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
